package com.cm.websocket.enums;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ResultCodeEnum
 * @Description: 返回编码类型
 * @Author: wanggeng
 * @Date: 2021/1/14 12:59 下午
 * @Version: 1.0
 */
public enum SendStatusEnum {
    /**
     * 成功
     */
    SUCCESS(200),
    /**
     * 失败
     */
    FAILED(300),
    /**
     * 消息错误
     */
    MESSAGE_ERROR(400),
    /**
     * 会话错误
     */
    SESSION_ERROR(402),
    /**
     * APP会话错误
     */
    APP_SESSION_ERROR(403),
    /**
     * 用户会话错误
     */
    USER_SESSION_ERROR(404),
    /**
     * 类型错误
     */
    TYPE_ERROR(405),
    /**
     * 消息体错误
     */
    BODY_ERROR(406),
    /**
     * 来源错误
     */
    FROM_ERROR(407),
    /**
     * 接受用户错误
     */
    TO_ERROR(408);

    private int value;

    SendStatusEnum(int value) {
        this.value = value;
    }

    public int getValue() {
        return value;
    }
}
